## 系统模块

~~~
com.fivegroup     
├── fivegroup-ui              // 前端框架 [80]
├── fivegroup-gateway         // 网关模块 [8080]
├── fivegroup-auth            // 认证中心 [9200]
├── fivegroup-common          // 通用模块
│       └── fivegroup-common-core                         // 核心模块
│       └── fivegroup-common-datascope                    // 权限范围
│       └── fivegroup-common-datasource                   // 多数据源
│       └── fivegroup-common-log                          // 日志记录
│       └── fivegroup-common-redis                        // 缓存服务
│       └── fivegroup-common-seata                        // 分布式事务
│       └── fivegroup-common-security                     // 安全模块
│       └── fivegroup-common-swagger                      // 系统接口
│       └── fivegroup-common-system                       // 系统基础
├── fivegroup-modules         // 业务模块
│       └── fivegroup-system                              // 系统模块 [9201]
│       └── fivegroup-gen                                 // 代码生成 [9202]
│       └── fivegroup-job                                 // 定时任务 [9203]
│       └── fivegroup-file                                // 文件服务 [9300]
├── fivegroup-visual          // 图形化管理模块
│       └── fivegroup-visual-monitor                      // 监控中心 [9100]
├──pom.xml                // 公共依赖
~~~
