#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20230706.sql ./mysql/db
cp ../sql/ry_config_20220929.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../fivegroup-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy fivegroup-gateway "
cp ../fivegroup-gateway/target/fivegroup-gateway.jar ./fivegroup/gateway/jar

echo "begin copy fivegroup-auth "
cp ../fivegroup-auth/target/fivegroup-auth.jar ./fivegroup/auth/jar

echo "begin copy fivegroup-visual "
cp ../fivegroup-visual/fivegroup-monitor/target/fivegroup-visual-monitor.jar  ./fivegroup/visual/monitor/jar

echo "begin copy fivegroup-modules-system "
cp ../fivegroup-modules/fivegroup-system/target/fivegroup-modules-system.jar ./fivegroup/modules/system/jar

echo "begin copy fivegroup-modules-file "
cp ../fivegroup-modules/fivegroup-file/target/fivegroup-modules-file.jar ./fivegroup/modules/file/jar

echo "begin copy fivegroup-modules-job "
cp ../fivegroup-modules/fivegroup-job/target/fivegroup-modules-job.jar ./fivegroup/modules/job/jar

echo "begin copy fivegroup-modules-gen "
cp ../fivegroup-modules/fivegroup-gen/target/fivegroup-modules-gen.jar ./fivegroup/modules/gen/jar

