package com.fivegroup.common.real.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 电池
 *
 * @author ZhangXushuo
 * @version 2023/11/21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class Battery {
    /**
     * 电池id
     */
    private  Integer batteryId;
    /**
     * 故障码
     */
    private  String batteryCode;
    /**
     * 故障名称
     */
    private String batteryName;
    /**
     * 车辆型号
     */
    private Integer batterymakerId;
    /**
     * 驱动机id
     */
    private Integer batteryCapacity;
    /**
     * 故障描述
     */
    private Integer batteryVoltage;
    /**
     *故障级别id
     */
    private String  batteryQuality;
    /**
     * 是否产生告警
     */
    private Integer batteryDate;

}
