package com.fivegroup.job;

import com.fivegroup.common.security.annotation.EnableCustomConfig;
import com.fivegroup.common.security.annotation.EnableMyFeignClients;
import com.fivegroup.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 定时任务
 *
 * @author fivegroup
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
public class FiveGroupJobApplication {
    public static void main (String[] args) {
        SpringApplication.run(FiveGroupJobApplication.class, args);
    }
}
