package com.fivegroup.real.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆信息
 *
 * @author ZhangXushuo
 * @version 2023/11/21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class Car {
    /*
     *编号
     */
    private Integer carId;
    /**
     * vin
     */
    private String carVin;
    /**
     * 车型id
     */
    private Integer cartypeId;
    /**
     * 电子围栏id
     */
    private Integer fenceId;
    /**
     * 车辆状态
     */
    private Integer carStatus;
    /**
     * 电机厂商
     */
    private Integer batterymakerId;
    /**
     * 电池产商
     */
    private Integer motormanufacturerId;
    /**
     * 电池编号
     */
    private Integer batteryId;
    /**
     * 电机编号
     */
    private Integer actuateId;
    /**
     * 运营区域
     */
    private String operatingArea;

}
