package com.fivegroup.real.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆状态
 *
 * @author ZhangXushuo
 * @version 2023/11/21
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class CarStatus {
    /**
     * 车辆状态id
     */
    private  Integer carstatusId;
    /**
     * GPS是否定位
     */
    private  Integer isGps;
    /**
     * 车辆是否行驶
     */
    private  String isExercise;
    /**
     * CAN是否有数据
     */
    private  Integer  ispresenceData ;
    /**
     * GPS信号强弱
     */
    private String intensity;
    /**
     * 终端是否在线
     */
    private Integer isOnline;
    /**
     * 终端重启次数
     */
    private Integer restartNum;
    /**
     * 终端常电电压
     */
    private  Integer voltage;
}
