package com.fivegroup.real.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 电子围栏
 *
 * @author ZhangXushuo
 * @version 2023/11/21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class Frence {
    /**
     * 围栏ID
     */
    private Integer fenceId;
    /**
     * 围栏名称
     */
    private String fenceName;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String dimensionality;
    /**
     * 围栏类型
     */
    private Integer frencetypeId;
    /**
     * 围栏状态
     */
    private Integer frence_status;

}
