package com.fivegroup.real.service.impl;

import com.fivegroup.common.core.domain.Result;
import com.fivegroup.common.real.domain.Car;
import com.fivegroup.real.mapper.RealMapper;
import com.fivegroup.real.service.RealService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author ZhangXushuo
 * @version 2023/11/24 - 21:21
 */
@Service
public class RealServiceImpl implements RealService {
    @Autowired
    private RealMapper realMapper;


    @Override
    public Result<List<Car>> list(Car car) {
        return realMapper.list(car);
    }

    @Override
    public List<Car> carList() {
        System.out.println(222);
        return realMapper.carList();
    }

    @Override
    public void insertCar(Car car) {
        realMapper.insertCar(car);
    }


    @Override
    public void updateCar(Car carId) {
        realMapper.updateCar(carId);
    }

    @Override
    public void deleteCar(Integer carId) {
        realMapper.deleteCar(carId);
    }

}
