package com.fivegroup.auth;

import com.fivegroup.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 认证授权中心
 *
 * @author fivegroup
 */
@EnableMyFeignClients
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
public class FiveGroupAuthApplication {
    public static void main (String[] args) {
        SpringApplication.run(FiveGroupAuthApplication.class, args);
    }
}
