package com.fivegroup.common.real.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 历史数据表
 *
 * @author ZhangXushuo
 * @version 2023/11/21
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HistoryData {
    /**
     * 历史数据id
     */
    private Integer historydataId;
    /**
     * 车辆轨迹
     */
    private Integer carTrajectory;
    /**
     * 车辆转速
     */
    private Integer carSpeed;
    /**
     * 电池温度
     */
    private Integer batteryTemperature;
    /**
     * 电池电压
     */
    private Integer batteryVoltage;
    /**
     * 电机转速
     */
    private Integer actuateSpeed;
    /**
     * BMS自检计数器
     */
    private Integer selfCheckcounter;
    /**
     * 电池id
     */
    private Integer batteryId;
    /**
     * 档位
     */
    private Integer gearPosition;
    /**
     * 单次最大电压
     */
    private String singlemaximumVoltage;
    /**
     * 燃料消耗率
     */
    private String specificfuelConsumption;
    /**
     * 绝缘电阻
     */
    private String insulationResistance;
    /**
     * 最大反馈功率
     */
    private  String  maximumfeedbackPower;
    /**
     * 总体电量最高温度
     */
    private String maximumTemperature;

}
