package com.fivegroup.common.real.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 电机厂家
 *
 * @author ZhangXushuo
 * @version 2023/11/21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class MotorManufacturer {
    /**
     * 电机厂家id
     */
    private Integer motormanufacturerId;
    /**
     * 电机厂家名字
     */
    private String motormanufacturerName;

}
