package com.fivegroup.gen;

import com.fivegroup.common.security.annotation.EnableCustomConfig;
import com.fivegroup.common.security.annotation.EnableMyFeignClients;
import com.fivegroup.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 代码生成
 *
 * @author fivegroup
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
public class FiveGroupGenApplication {
    public static void main (String[] args) {
        SpringApplication.run(FiveGroupGenApplication.class, args);
    }
}
