package com.fivegroup.real.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆电池组
 *
 * @author ZhangXushuo
 * @version 2023/11/21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class Batterys {
    /**
     * 车辆电池组id
     */
    private Integer batterysId;
    /**
     * 电池组型号名称
     */
    private String batterysName;
    /**
     * 电池型号编码
     */
    private String batterysCode;
    /**
     * 电池组性能参数
     */
    private String batterysArgument;
    /**
     * 单体电池个数
     */
    private Integer batteryNum;

}
