package com.fivegroup.real.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆类型
 *
 * @author ZhangXushuo
 * @version 2023/11/21
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CarType {
    /**
     * 车型id
     */
    private Integer cartypeId;
    /**
     * 车型类型
     */
    private Integer cartypeName;

}
