package com.fivegroup.real.mapper;

import com.fivegroup.common.core.domain.Result;
import com.fivegroup.common.real.domain.Car;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author hua'wei'dian'nao
 */
@Mapper
public interface RealMapper {

    List<Car> carList();

    Result<List<Car>> list(Car car);

    void insertCar(@Param("car") Car car);

    void updateCar(Car carId);

    void deleteCar(Integer carId);

}
